package com.jeeplus.test.reimbursementAccountant.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementAccountant.domain.dto.AccountantReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementAccountant.domain.dto.AccountantReimbursementDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface AccountantReimbursementBusinessTwoMapper extends BaseMapper<AccountantReimbursementBusinessTwoDTO> {

    /**
     * 分页查询
     */
    IPage<AccountantReimbursementBusinessTwoDTO> findListPage(Page<AccountantReimbursementBusinessTwoDTO> page,
                                                              @Param("accountantReimbursementBusiness")AccountantReimbursementBusinessTwoDTO accountantReimbursementBusiness);

    /**
     * 物理删除
     * @param id
     */
    void delPhysicsById(@Param("id")String id);
    /**
     * 物理删除
     * @param idList
     */
    void deleteByList(@Param("idList")List <String> idList);

    /**
     * 新增
     */
    void insertAccountantReimbursementBusiness(AccountantReimbursementBusinessTwoDTO accountantReimbursementBusiness);

    /**
     * 修改
     */
    void modifyBindCode(@Param("ids")String ids,@Param("businessCode")String businessCode);

    /**
     * 下拉菜单
     */
    List<AccountantReimbursementDTO> findSelectList();


    List<String> findSelectYearList();

    List<AccountantReimbursementDTO> findSelectCodeListByYear(String year);

    AccountantReimbursementBusinessTwoDTO findDataById(@Param("id")String id);
}
